/*
 * This file is generated by jOOQ.
 */
package de.ship.db.tables.records;


import de.ship.db.tables.VInputHelpparam;

import org.jooq.impl.TableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class VInputHelpparamRecord extends TableRecordImpl<VInputHelpparamRecord> {

    private static final long serialVersionUID = 1L;

    /**
     * Setter for <code>common_dd.v_input_helpparam.inputhelp</code>.
     */
    public void setInputhelp(Integer value) {
        set(0, value);
    }

    /**
     * Getter for <code>common_dd.v_input_helpparam.inputhelp</code>.
     */
    public Integer getInputhelp() {
        return (Integer) get(0);
    }

    /**
     * Setter for <code>common_dd.v_input_helpparam.inputhelp_descr</code>.
     */
    public void setInputhelpDescr(String value) {
        set(1, value);
    }

    /**
     * Getter for <code>common_dd.v_input_helpparam.inputhelp_descr</code>.
     */
    public String getInputhelpDescr() {
        return (String) get(1);
    }

    /**
     * Setter for <code>common_dd.v_input_helpparam.param_order_nr</code>.
     */
    public void setParamOrderNr(Integer value) {
        set(2, value);
    }

    /**
     * Getter for <code>common_dd.v_input_helpparam.param_order_nr</code>.
     */
    public Integer getParamOrderNr() {
        return (Integer) get(2);
    }

    /**
     * Setter for <code>common_dd.v_input_helpparam.param_study</code>.
     */
    public void setParamStudy(Integer value) {
        set(3, value);
    }

    /**
     * Getter for <code>common_dd.v_input_helpparam.param_study</code>.
     */
    public Integer getParamStudy() {
        return (Integer) get(3);
    }

    /**
     * Setter for <code>common_dd.v_input_helpparam.param_variable</code>.
     */
    public void setParamVariable(Integer value) {
        set(4, value);
    }

    /**
     * Getter for <code>common_dd.v_input_helpparam.param_variable</code>.
     */
    public Integer getParamVariable() {
        return (Integer) get(4);
    }

    /**
     * Setter for <code>common_dd.v_input_helpparam.dn</code>.
     */
    public void setDn(String value) {
        set(5, value);
    }

    /**
     * Getter for <code>common_dd.v_input_helpparam.dn</code>.
     */
    public String getDn() {
        return (String) get(5);
    }

    /**
     * Setter for <code>common_dd.v_input_helpparam.needed_params</code>.
     */
    public void setNeededParams(Integer value) {
        set(6, value);
    }

    /**
     * Getter for <code>common_dd.v_input_helpparam.needed_params</code>.
     */
    public Integer getNeededParams() {
        return (Integer) get(6);
    }

    /**
     * Setter for <code>common_dd.v_input_helpparam.stage</code>.
     */
    public void setStage(Integer value) {
        set(7, value);
    }

    /**
     * Getter for <code>common_dd.v_input_helpparam.stage</code>.
     */
    public Integer getStage() {
        return (Integer) get(7);
    }

    // -------------------------------------------------------------------------
    // Constructors
    // -------------------------------------------------------------------------

    /**
     * Create a detached VInputHelpparamRecord
     */
    public VInputHelpparamRecord() {
        super(VInputHelpparam.V_INPUT_HELPPARAM);
    }

    /**
     * Create a detached, initialised VInputHelpparamRecord
     */
    public VInputHelpparamRecord(Integer inputhelp, String inputhelpDescr, Integer paramOrderNr, Integer paramStudy, Integer paramVariable, String dn, Integer neededParams, Integer stage) {
        super(VInputHelpparam.V_INPUT_HELPPARAM);

        setInputhelp(inputhelp);
        setInputhelpDescr(inputhelpDescr);
        setParamOrderNr(paramOrderNr);
        setParamStudy(paramStudy);
        setParamVariable(paramVariable);
        setDn(dn);
        setNeededParams(neededParams);
        setStage(stage);
        resetChangedOnNotNull();
    }
}
